MapFileOutputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class MapFileOutputFormat

    java.lang.Object
      org.apache.hadoop.mapred.FileOutputFormat<WritableComparable,Writable>
          org.apache.hadoop.mapred.MapFileOutputFormat

All Implemented Interfaces:
  OutputFormat<WritableComparable,Writable>

    public class MapFileOutputFormat

extends FileOutputFormat<WritableComparable,Writable>

An `OutputFormat` that writes `MapFile`s.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileOutputFormat
`FileOutputFormat.Counter`

Constructor Summary
`MapFileOutputFormat()`

Method Summary
`static
`<K extends WritableComparable,V extends Writable> Writable`
` | `getEntry(MapFile.Reader[] readers, Partitioner<K,V> partitioner, K key, V value)` Get an entry from output generated by this class.
`static MapFile.Reader[]` | `getReaders(FileSystem ignored, Path dir, Configuration conf)` Open the output generated by this format.
`RecordWriter<WritableComparable,Writable>` | `getRecordWriter(FileSystem ignored, JobConf job, String name, Progressable progress)` Get the `RecordWriter` for the given job.

Methods inherited from class org.apache.hadoop.mapred.FileOutputFormat
`checkOutputSpecs, getCompressOutput, getOutputCompressorClass, getOutputPath, getPathForCustomFile, getTaskOutputPath, getUniqueName, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapFileOutputFormat

    public MapFileOutputFormat()

Method Detail

### getRecordWriter

    public RecordWriter<WritableComparable,Writable> getRecordWriter(FileSystem ignored,
                                                                     JobConf job,
                                                                     String name,
                                                                     Progressable progress)
                                                              throws IOException

  Description copied from interface: `OutputFormat`
  Get the `RecordWriter` for the given job.

  Specified by:
    `getRecordWriter` in interface `OutputFormat<WritableComparable,Writable>`
  Specified by:
    `getRecordWriter` in class `FileOutputFormat<WritableComparable,Writable>`
    `job` - configuration for the job whose output is being written.
    `name` - the unique name for this part of the output.
    `progress` - mechanism for reporting progress while writing to file.
  Returns:
    a `RecordWriter` to write the output for the job.
  Throws:
    `IOException`

### getReaders

    public static MapFile.Reader[] getReaders(FileSystem ignored,
                                              Path dir,
                                              Configuration conf)
                                       throws IOException

  Open the output generated by this format.

  Throws:
    `IOException`

### getEntry

    public static <K extends WritableComparable,V extends Writable> Writable getEntry(MapFile.Reader[] readers,
                                                                                      Partitioner<K,V> partitioner,
                                                                                      K key,
                                                                                      V value)
                             throws IOException

  Get an entry from output generated by this class.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation